* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  overflow: hidden;
  font-family: "Lexend", sans-serif;
  background: linear-gradient(135deg, #64ccc5, #176b87); 
}

.back-arrow {
  position: absolute;
  top: 20px;
  left: 20px;
  text-decoration: none;
  font-size: 18px;
  color: #ffffff;
  font-weight: bold;
  transition: color 0.3s ease;
}

.back-arrow:hover {
  color: #ecf0f6; /
}

.login-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh; 
  width: 100%; 
  padding: 16px;
}

.text {
    margin: 0;
    max-width: 300px;
    width: 100%;
  }
  
.login {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #ffffff; 
  border-radius: 16px; 
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2);
  padding: 40px;
  padding-bottom: 30px;
  max-width: 380px;
  width: 100%;
  text-align: center;
  position: relative;
  overflow: hidden;
}

.nadpis {
  margin-bottom: 20px;
  font-size: 45px;
  color: #176b87; 
  font-weight: bold;
}

.err {
  color: #ff3a3a;
  margin-bottom: 10px;
}

form {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

form input {
  width: 100%;
  max-width: 380px;
  padding: 12px;
  border: 2px solid #ecf0f6;
  border-radius: 8px;
  background-color: #f4f4f4; 
  color: #333; 
  font-size: 16px;
  transition: all 0.3s ease;
  font-family: Lexend;
}

form input:focus {
  outline: none;
  border-color: #64ccc5;
  background-color: #ecf0f6; 
}

form input[type="submit"] {
  background-color: #176b87; 
  color: #ffffff; 
  cursor: pointer;
  border: none;
  padding: 12px 20px;
  font-size: 16px;
  font-weight: bold;
  border-radius: 8px;
  transition: background-color 0.3s ease, transform 0.2s ease;
}

form input[type="submit"]:hover {
  background-color: #64ccc5;
  transform: translateY(-3px); 
}

@media (max-width: 768px) {
  .login {
    padding: 20px;
  }

  .nadpis {
    font-size: 28px;
  }

  form input {
    font-size: 14px;
  }
}

.footer-logo {
  display: block;
  margin: 0 auto;
  width: 65px;
  height: auto;
  margin-top: 30px;
}

